import axios from 'axios';
import { config } from '../../config';
const base = "http://localhost:" + config.internal_port

describe('GET /api/organisations', () => {
    it('basic get should return 200', async () => {
        const res = await axios.get(base + '/api/organisations');
        expect(res.status).toEqual(200);
        expect(res.headers['content-type']).toContain("application/json")
    });
});
// ---------------
describe('GET /api/organisations/0', () => {
    it('basic get should return 404', async () => {
        const res = await axios.get(base + '/api/runners/0', { validateStatus: undefined });
        expect(res.status).toEqual(404);
        expect(res.headers['content-type']).toContain("application/json")
    });
});