import cookieParser from "cookie-parser";
import { Application } from "express";
/**
 * Loader for express related configurations.
 * Currently only enables the proxy trust.
 */
export default async (app: Application) => {
	app.enable('trust proxy');
	app.use(cookieParser());
	return app;
};
