import { Connection } from 'typeorm';
import { Factory, Seeder } from 'typeorm-seeding';
import { CreateUser } from '../models/actions/CreateUser';
import { User } from '../models/entities/User';

export default class SeedUsers implements Seeder {
    public async run(factory: Factory, connection: Connection): Promise<any> {
        let initialUser = new CreateUser();
        initialUser.firstname = "demo";
        initialUser.lastname = "demo";
        initialUser.username = "demo";
        initialUser.password = "demo";
        await connection
            .createQueryBuilder()
            .insert()
            .into(User)
            .values([await initialUser.toUser()])
            .execute()
    }
}